Description

Add PostGIS layers is too slow. The reason is that when connecting to the database, every table and view is read along with all the

details. This is not necessary. Instead QGIS should first identify the Schemas that are present within the database, as this is the first

screen displayed to the user. Tables and Views should only be read if the Schema is selected, but only the name of the table or view.

When the table or view is selected, then the additional information should be read.

This is being reported as a bug rather than a feature request, as it is a usability issue.

History

#1 - 2014-10-08 01:56 AM - Mathieu Bossaert

Good morning Harry,

did you try to check the "do not resolve geometry type..." option in the database connection settings ?

It inscrease a lot the listing of all views and tables.

Mathieu

#2 - 2014-10-08 02:18 AM - Harry Clarke

Morning Mathieu,

I am not sure exactly which option you are referring to.

I did try ticking the option "Don't resolve type of unrestricted columns (GEOMOTERY)", which is a lot quicker, but that only shows half of the schemas, and

not the schema I am interested in, so not very helpful.

Harry

#3 - 2014-10-08 02:35 AM - Harrissou Santanna

Hi,

Harry, It doesn't solve the issue you are reporting (and this really needs to be fixed) but you should try DB Manager (which is a core plugin of QGIS).

#4 - 2014-10-08 03:01 AM - Harry Clarke

Hi Harrissou,
Unfortunately DB Manager is unable to add the layer I am interested in, see issue #11317. Because the aggregated view doesn't have a primary key set.

Hence it is only possible in the Add PstGIS layers command, where the primary key can be set to some column that happens to be unique.

#5 - 2014-10-26 10:02 AM - Jürgen Fischer

- Category set to Data Provider/PostGIS

#6 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-08-10 11:40 AM - Harry Clarke

- Status changed from Open to Closed

- Assignee set to Harry Clarke

Checked and the issue now seems to be resolved in QGIS v3

#8 - 2018-08-12 01:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
